package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

/**
 * 校考院校
 */
public class TextSchoolVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 年份 */
    private String acceptYear;

    /** 学校名称 */
    private String schoolName;

    /** 专业名称 */
    private String majorName;

    /** 所需文化分 */
    private String needCulture;

    /** 合格线 */
    private Integer passScore;

    /** 满分线 */
    private Integer fullScore;



    /** 录取前提 accept_premise*/
//    @Excel(name = "录取前提")
    private String acceptPremise;

    /** 录取原则 accept_rule */
//    @Excel(name = "录取原则")
    private String acceptRule;

    /** 最低分 accept_lowest  数字*/
//    @Excel(name = "最低分")
    private String acceptLowest;

    /** 考试内容 exam_content */
//    @Excel(name = "考试内容")
    private String examContent;

    /** 招生人数 accept_num  数字*/
//    @Excel(name = "招生人数")
    private Integer acceptNum;

    /** 非必_联考要求 exam_require*/
//    @Excel(name = "联考要求")
    private String examRequire;




    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getNeedCulture() {
        return needCulture;
    }

    public void setNeedCulture(String needCulture) {
        this.needCulture = needCulture;
    }

    public Integer getPassScore() {
        return passScore;
    }

    public void setPassScore(Integer passScore) {
        this.passScore = passScore;
    }

    public Integer getFullScore() {
        return fullScore;
    }

    public void setFullScore(Integer fullScore) {
        this.fullScore = fullScore;
    }


    public String getAcceptPremise() {
        return acceptPremise;
    }

    public void setAcceptPremise(String acceptPremise) {
        this.acceptPremise = acceptPremise;
    }

    public String getAcceptRule() {
        return acceptRule;
    }

    public void setAcceptRule(String acceptRule) {
        this.acceptRule = acceptRule;
    }

    public String getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(String acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getExamContent() {
        return examContent;
    }

    public void setExamContent(String examContent) {
        this.examContent = examContent;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getExamRequire() {
        return examRequire;
    }

    public void setExamRequire(String examRequire) {
        this.examRequire = examRequire;
    }

    @Override
    public String toString() {
        return "TextSchoolVO{" +
                "acceptYear='" + acceptYear + '\'' +
                ", schoolName='" + schoolName + '\'' +
                ", majorName='" + majorName + '\'' +
                ", needCulture=" + needCulture +
                ", passScore=" + passScore +
                ", fullScore=" + fullScore +
                ", acceptPremise='" + acceptPremise + '\'' +
                ", acceptRule='" + acceptRule + '\'' +
                ", acceptLowest=" + acceptLowest +
                ", examContent='" + examContent + '\'' +
                ", acceptNum=" + acceptNum +
                ", examRequire='" + examRequire + '\'' +
                '}';
    }
}
